## wig 0.1.0

=== DESCRIPTION ===
Package: wig
Type: Package
Title: Import WIG Data into R in Long Format
Version: 0.1.0
Authors@R: c(
    person(given = "Ramiro", family = "Magno",
      email = "ramiro.magno@gmail.com",
      role = c("aut", "cre"),
      comment = c(ORCID = "0000-0001-5226-3441"))
    )
Description: Import WIG data into R in long format.
License: MIT + file LICENSE
URL: https://github.com/ramiromagno/wig
BugReports: https://github.com/ramiromagno/wig/issues
Encoding: UTF-8
RoxygenNote: 7.1.2
Imports: dplyr, magrittr, stringr, tibble
Suggests: spelling
Language: en-US
NeedsCompilation: no
Packaged: 2021-10-02 10:57:25 UTC; rmagno
Author: Ramiro Magno [aut, cre] (<https://orcid.org/0000-0001-5226-3441>)
Maintainer: Ramiro Magno <ramiro.magno@gmail.com>
Repository: CRAN
Date/Publication: 2021-10-04 08:20:02 UTC

## wig 0.6

=== debian/changelog ===
wig (0.6-2) unstable; urgency=medium

  [ Samuel Henrique ]
  * Bump DH to 13
  * Bump Standards-Version to 4.5.0
  * Add salsa-ci.yml
  * Configure git-buildpackage for Debian
  * d/t/control: Add superficial restriction (closes: #969880)
  * d/control: Add Rules-Requires-Root: no

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Samuel Henrique <samueloph@debian.org>  Tue, 08 Sep 2020 19:21:25 +0100

wig (0.6-1) unstable; urgency=medium

  * Initial release on Debian (Closes: 893766)

 -- Samuel Henrique <samueloph@debian.org>  Wed, 21 Mar 2018 20:00:32 -0300

wig (0.6-0kali1) kali-dev; urgency=medium

  * Initial release (Closes: 1932)

 -- Sophie Brun <sophie@freexian.com>  Thu, 24 Aug 2017 16:33:04 +0200

=== debian/control ===
Source: wig
Section: misc
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Samuel Henrique <samueloph@debian.org>
Build-Depends: debhelper-compat (= 13), dh-python, python3-all
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/jekyc/wig
Vcs-Git: https://salsa.debian.org/pkg-security-team/wig.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/wig

Package: wig
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: WebApp Information Gatherer
 This package contains a web application information gathering tool, which can
 identify numerous Content Management Systems and other administrative
 applications.
 .
 The application fingerprinting is based on checksums and string matching of
 known files for different versions of CMSes. This results in a score being
 calculated for each detected CMS and its versions. Each detected CMS is
 displayed along with the most probable version(s) of it. The score calculation
 is based on weights and the amount of "hits" for a given checksum.
 .
 wig also tries to guess the operating system on the server based on the
 'server' and 'x-powered-by' headers. A database containing known header values
 for different operating systems is included in wig, which allows wig to guess
 Microsoft Windows versions and Linux distribution and version.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_install:
	dh_install
	cp wig.py debian/wig/usr/share/wig/wig

=== debian/tests/control ===
Test-Command: wig -h
Restrictions: superficial

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%wig-$1.tar.gz%" \
   https://github.com/jekyc/wig/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
